import React from "react";
import { Link } from "react-router-dom";
import "./Footer.css";

function Footer() {
  const EMAIL_ADRESS = process.env.REACT_APP_EMAIL_ADRESS;
  const GPG_KEY = process.env.REACT_APP_GPG_KEY
  return (
    <footer className="footer-container">
        <div className="footer-links">
          <div className="footer-link-wrapper">
            <div className="footer-link-items">
              <h2>Informationen</h2>
              <Link to="/ueber">Hintergrund</Link>
              <Link to="/manual">Wie funktioniert das?</Link>
            </div>
          </div>
          <div className="footer-link-wrapper">
            <div className="footer-link-items">
              <h2>Kontakt</h2>
              <Link to={EMAIL_ADRESS}> {EMAIL_ADRESS}</Link>
              <Link to={GPG_KEY}>GPG-Key</Link>
            </div>
          </div>
          <div className="footer-link-wrapper">
            <div className="footer-link-items">
              <h2>Rechtliches</h2>
              <Link to="/privacy">Datenschutz</Link>
            </div>
          </div>
        </div>
    </footer>
  );
}

export default Footer;
